package wavelets;

import javax.swing.*;
import java.awt.*;
import javax.swing.border.*;
import java.util.*;

public class Helper{
	static String globalfont = "Serif";
	static Font titlefont = new Font(globalfont,Font.BOLD,18);

	
	public static JTextField addTextField(String name,int width,String bordertitle)
	{	
		Border e = BorderFactory.createEtchedBorder();
		Border t = BorderFactory.createTitledBorder(e, bordertitle);	

		JTextField textfield = new JTextField(name,width);
		textfield.setHorizontalAlignment( JTextField.CENTER );
		textfield.setBorder(t);
		return textfield;
	} // end of public void addtextfield...

	
	public static TitledBorder titledBorder(String bordertitle, int fontSize)
	{
		TitledBorder tb = new TitledBorder(new EtchedBorder(),bordertitle);
		tb.setTitleFont(new Font(globalfont,Font.BOLD,fontSize) );
		return tb;
	} 
	
	public static void addToGBL( JPanel p, Component c, 
		GridBagConstraints gbc,
		int gridx, int gridy,
		int gridwidth, int gridheight,
		int weightx, int weighty,
		int filler )
		{
			
		gbc.gridx = gridx;
		gbc.gridy = gridy;	

		gbc.gridwidth = gridwidth;
		gbc.gridheight = gridheight;

		gbc.weightx = weightx;
		gbc.weighty = weighty;

		switch (filler)
		{
			case 0: { gbc.fill = gbc.BOTH; 		break; } 
			case 1:	{ gbc.fill = gbc.VERTICAL; 	break; } 
			case 2:	{ gbc.fill = gbc.HORIZONTAL; 	break; } 
			case 3: { gbc.fill = gbc.NONE; 		break; }
		} // end switch	

		p.add(c, gbc);	

	} // end of addToGBL()
	
	public static Hashtable createHashtableA( int max ){
		Hashtable hash = new Hashtable();
				
		hash.put( new Integer(1), new JLabel("0"));
		
		for( int i = 1000; i <= max ; i += 1000){
			int label = i / 1000;
			hash.put( new Integer(i), 
				new JLabel( String.valueOf(label)) );
		}
	
		return hash;		
	}
	
	public static Hashtable createHashtableB( int max ){
		Hashtable hash = new Hashtable();
		
		for( int i = -max; i <= max; i+= 2000 ){
			int label = i / 1000;
			hash.put( new Integer(i), 
				new JLabel( String.valueOf(label)) );
		}
		
		return hash;
	}
		

	
	
		
}//end of class helper
	