package wavelets;

public class MexicanHat extends Wavelet{
	
	public MexicanHat(){
		setXScale( new double[]{ 1, 2, 3, 4, 5, 6, 7, 8 } );
		setYScale( new double[]{ 0.5, 1, 1.5, 2, 2.5, 3 } );
	}
	
	public double formula( double t ){
		double x = (t- getB() )/ getA();
		double result;
		double interim = Math.exp( -Math.pow( x, 2)/2 );
		
		result = ( 1 - Math.pow( x, 2 ) ) * interim;
		
		return 1/Math.sqrt( getA() ) * result;
	}
}
				 
		