package wavelets;

public abstract class Wavelet{
	private double a;
	private double b;
	private double[] xScale, yScale;
	
	public Wavelet(){
		a = 1;
		b = 0;
	}
	
	public abstract double formula( double x );
	
	public double getA(){
		return a;
	}
	
	public double getB(){
		return b;
	}
	
	public void setA( double a ){
	 	this.a = a;
	}
	
	public void setB( double b ){
		this.b = b;
	}
	
	public double[] getXScale(){
		return xScale;
	}
	
	public void setXScale( double[] x){
		xScale = x;
	}

	public double[] getYScale(){
		return yScale;
	}
	
	public void setYScale( double[] y){
		yScale = y;
	}
}